Devuan bug report logs - #686
dpkg: error processing package initramfs-tools

version graph

Package: lvm2; Maintainer for lvm2 is (unknown); Source for lvm2 is src:lvm2.

Reported by: gigi <gianluigi.gragnani@unige.it>

Date: Mon, 4 Jul 2022 13:14:01 UTC

Severity: normal

Tags: debian

Found in version 2.03.15-1

Fixed in version 2.03.15-2

Done: Mark Hindley <mark@hindley.org.uk>

Forwarded to https://bugs.debian.org/1014352

Full log


🔗 View this message in rfc822 format

MIME-Version: 1.0
X-Mailer: MIME-tools 5.509 (Entity 5.509)
X-Loop: owner@bugs.devuan.org
From: "Devuan bug Tracking System" <owner@bugs.devuan.org>
To: Mark Hindley <mark@hindley.org.uk>
Subject: bug#686: marked as done (dpkg: error processing package
 initramfs-tools)
Message-ID: <handler.686.D686.165743616410408.ackdone@bugs.devuan.org>
References: <Ysp3sVW7X4GogqD/@hindley.org.uk>
 <165694034693.25190.6717926850279953981.reportbug@devuan1.diten.unige.it>
X-Devuan-PR-Message: closed 686
X-Devuan-PR-Package: lvm2
X-Devuan-PR-Keywords: debian
Reply-To: 686@bugs.devuan.org
Date: Sun, 10 Jul 2022 06:58:02 +0000
Content-Type: multipart/mixed; boundary="----------=_1657436282-10441-0"
[Message part 1 (text/plain, inline)]
Your message dated Sun, 10 Jul 2022 07:54:41 +0100
with message-id <Ysp3sVW7X4GogqD/@hindley.org.uk>
and subject line Re: bug#686: dpkg: error processing package initramfs-tools
has caused the Devuan bug report #686,
regarding dpkg: error processing package initramfs-tools
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.devuan.org
immediately.)


-- 
686: https://bugs.devuan.org/cgi/bugreport.cgi?bug=686
Devuan Bug Tracking System
Contact owner@bugs.devuan.org with problems
[Message part 2 (message/rfc822, inline)]
From: gigi <gianluigi.gragnani@unige.it>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: dpkg: error processing package initramfs-tools
Date: Mon, 04 Jul 2022 15:12:26 +0200
Package: initramfs-tools
Version: 0.141
Severity: normal

Dear Maintainer,

after the last upgrade I receive the following error:
Setting up initramfs-tools (0.141) ...
update-initramfs: deferring update (trigger activated)
Processing triggers for initramfs-tools (0.141) ...
update-initramfs: Generating /boot/initrd.img-5.18.0-2-amd64
E: /usr/share/initramfs-tools/hooks/lvm2 failed with return 1.
update-initramfs: failed for /boot/initrd.img-5.18.0-2-amd64 with 1.
dpkg: error processing package initramfs-tools (--configure):
 installed initramfs-tools package post-installation script subprocess returned error exit status 1


*** Reporter, please consider answering these questions, where appropriate ***
Since also lvm2 has been updated, maybe is this package that doesss not work?

Anyway, this happens aldo on another machine, with different hardware and settings


-- Package-specific info:
-- initramfs sizes
-rw-r--r-- 1 root root 39M Jun 14 13:23 /boot/initrd.img-5.18.0-1-amd64
-rw-r--r-- 1 root root 39M Jun 21 12:26 /boot/initrd.img-5.18.0-2-amd64
-- /proc/cmdline
BOOT_IMAGE=/vmlinuz-5.18.0-2-amd64 root=UUID=de5d67b7-02dd-4475-a838-3ecdf4f83ddf ro quiet

-- resume
RESUME=UUID=a705a6fb-799f-4434-834c-8113b83f9358
-- /proc/filesystems
	ext3
	ext2
	ext4
	xfs
	jfs
	msdos
	vfat
	minix
	hfs
	hfsplus
	qnx4
	ufs
	btrfs
	fuseblk

-- lsmod
Module                  Size  Used by
fuse                  172032  0
btrfs                1695744  0
blake2b_generic        20480  0
xor                    24576  1 btrfs
raid6_pq              122880  1 btrfs
zstd_compress         311296  1 btrfs
ufs                    94208  0
qnx4                   16384  0
hfsplus               126976  0
hfs                    73728  0
cdrom                  73728  2 hfsplus,hfs
minix                  49152  0
vfat                   20480  0
msdos                  20480  0
fat                    86016  2 msdos,vfat
jfs                   217088  0
xfs                  1847296  0
libcrc32c              16384  2 btrfs,xfs
dm_mod                176128  0
qrtr                   45056  4
rfkill                 32768  0
parport_pc             40960  0
ppdev                  24576  0
lp                     20480  0
parport                69632  3 parport_pc,lp,ppdev
intel_rapl_msr         20480  0
snd_hda_codec_hdmi     73728  1
intel_rapl_common      28672  1 intel_rapl_msr
snd_hda_codec_realtek   167936  1
snd_hda_codec_generic    98304  1 snd_hda_codec_realtek
ledtrig_audio          16384  1 snd_hda_codec_generic
x86_pkg_temp_thermal    20480  0
intel_powerclamp       20480  0
coretemp               20480  0
kvm_intel             368640  0
i915                 3166208  4
kvm                  1060864  1 kvm_intel
irqbypass              16384  1 kvm
drm_buddy              20480  1 i915
ghash_clmulni_intel    16384  0
drm_dp_helper         159744  1 i915
aesni_intel           380928  0
cec                    61440  2 drm_dp_helper,i915
crypto_simd            16384  1 aesni_intel
rc_core                61440  1 cec
snd_hda_intel          57344  2
ttm                    86016  1 i915
snd_intel_dspcfg       32768  1 snd_hda_intel
cryptd                 24576  2 crypto_simd,ghash_clmulni_intel
snd_intel_sdw_acpi     20480  1 snd_intel_dspcfg
snd_hda_codec         176128  4 snd_hda_codec_generic,snd_hda_codec_hdmi,snd_hda_intel,snd_hda_codec_realtek
drm_kms_helper        192512  2 drm_dp_helper,i915
rapl                   20480  0
snd_hda_core          110592  5 snd_hda_codec_generic,snd_hda_codec_hdmi,snd_hda_intel,snd_hda_codec,snd_hda_codec_realtek
mei_hdcp               24576  0
snd_hwdep              16384  1 snd_hda_codec
intel_cstate           20480  0
evdev                  28672  9
drm                   614400  7 drm_dp_helper,drm_kms_helper,drm_buddy,i915,ttm
snd_pcm               147456  4 snd_hda_codec_hdmi,snd_hda_intel,snd_hda_codec,snd_hda_core
intel_uncore          208896  0
iTCO_wdt               16384  0
ee1004                 20480  0
i2c_algo_bit           16384  1 i915
serio_raw              20480  0
intel_pmc_bxt          16384  1 iTCO_wdt
snd_timer              45056  1 snd_pcm
mei_me                 45056  1
fujitsu_laptop         28672  0
iTCO_vendor_support    16384  1 iTCO_wdt
snd                   110592  12 snd_hda_codec_generic,snd_hda_codec_hdmi,snd_hwdep,snd_hda_intel,snd_hda_codec,snd_hda_codec_realtek,snd_timer,snd_pcm
watchdog               32768  1 iTCO_wdt
mei                   151552  3 mei_hdcp,mei_me
intel_pmc_core         53248  0
intel_pch_thermal      20480  0
soundcore              16384  1 snd
sparse_keymap          16384  1 fujitsu_laptop
pcspkr                 16384  0
acpi_pad              184320  0
button                 24576  0
ext4                  946176  2
crc16                  16384  1 ext4
mbcache                16384  1 ext4
jbd2                  163840  1 ext4
crc32c_generic         16384  0
hid_generic            16384  0
usbhid                 65536  0
sg                     40960  0
hid                   151552  2 usbhid,hid_generic
sd_mod                 61440  4
t10_pi                 16384  1 sd_mod
crc64_rocksoft         20480  1 t10_pi
crc64                  20480  1 crc64_rocksoft
crc_t10dif             20480  1 t10_pi
crct10dif_generic      16384  0
ahci                   49152  3
xhci_pci               20480  0
libahci                49152  1 ahci
xhci_hcd              315392  1 xhci_pci
libata                385024  2 libahci,ahci
r8169                  98304  0
realtek                36864  1
usbcore               327680  3 xhci_hcd,usbhid,xhci_pci
mdio_devres            16384  1 r8169
scsi_mod              266240  3 sd_mod,libata,sg
libphy                159744  3 r8169,mdio_devres,realtek
crct10dif_pclmul       16384  1
crct10dif_common       16384  3 crct10dif_generic,crc_t10dif,crct10dif_pclmul
crc32_pclmul           16384  0
crc32c_intel           24576  4
i2c_i801               36864  0
i2c_smbus              20480  1 i2c_i801
usb_common             16384  2 xhci_hcd,usbcore
scsi_common            16384  3 scsi_mod,libata,sg
wmi                    36864  0
fan                    20480  0
video                  57344  2 fujitsu_laptop,i915

-- /etc/initramfs-tools/modules

-- /etc/kernel-img.conf
# Kernel image management overrides
# See kernel-img.conf(5) for details
do_symlinks = yes
do_bootloader = no
do_initrd = yes
link_in_boot = no

-- /etc/initramfs-tools/initramfs.conf
MODULES=most
BUSYBOX=auto
KEYMAP=n
COMPRESS=zstd
DEVICE=
NFSROOT=auto
RUNSIZE=10%
FSTYPE=auto

-- /etc/initramfs-tools/update-initramfs.conf
update_initramfs=yes
backup_initramfs=no

-- mkinitramfs hooks
/etc/initramfs-tools/hooks/:

/usr/share/initramfs-tools/hooks:
dmsetup
fsck
fuse
intel_microcode
keymap
klibc-utils
kmod
lvm2
ntfs_3g
resume
thermal
thin-provisioning-tools
udev
zz-busybox


-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 5 (daedalus/ceres)
Release:	5
Codename:	daedalus ceres
Architecture: x86_64

Kernel: Linux 5.18.0-2-amd64 (SMP w/8 CPU threads; PREEMPT)
Kernel taint flags: TAINT_FIRMWARE_WORKAROUND
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=en_US:en
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages initramfs-tools depends on:
ii  initramfs-tools-core  0.141
ii  linux-base            4.9

initramfs-tools recommends no packages.

Versions of packages initramfs-tools suggests:
ii  bash-completion  1:2.11-6

-- no debconf information
[Message part 3 (message/rfc822, inline)]
From: Mark Hindley <mark@hindley.org.uk>
To: 686-done@bugs.devuan.org
Cc: gigi <gianluigi.gragnani@unige.it>
Subject: Re: bug#686: dpkg: error processing package initramfs-tools
Date: Sun, 10 Jul 2022 07:54:41 +0100
Version: 2.03.15-2

Closing: fixed in Debian.

Mark

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Sat Apr 20 19:07:12 2024;